### File

`packages/ecl/components/ecl-file/ecl-file-download.directive.ts`

### Description

Directive to apply the correct styling class for a standard file download link.

### Extends

`ECLBaseDirective`

### Metadata

Selector | `[eclFileDownload]`

### Index

###### Properties
className
###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class.ecl-file__download

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class.ecl-file__download
Type : `boolean`
Default value : `true`
Applies the ECL download class to the host element.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

className
Default value : `true`
Decorators : `@HostBinding('class.ecl-file__download')`
Applies the ECL download class to the host element.

# results matching ""

# No results matching ""